package com.brilliance.isc.bo.lg;


import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.common.vo.AddbcbVo;
import com.brilliance.isc.bo.model.Gitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitameStoreBo extends BaseTransactionVo {

    private Gidgrp gidgrp;

    private Gidgrp oldgidgrp;

    //与前端模型保持一致
    private GitamepBo gitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private GitameInfoBo litameInfo;

    private AddbcbVo addbcb;

    private Spt spt;

    private Gcdgrp gcdgrp;

    private String gitapll2blk= NULLSTR;

    private String clmtxts20= NULLSTR;

    private int payday;
    private Gitp gitp;

    @Override
    public void reset() {
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        oldgidgrp.reset();
        if (gitamep == null) {
            gitamep = new GitamepBo();
        }
        gitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (spt == null) {
            spt = new Spt();
        }
        if (addbcb == null) {
            addbcb = new AddbcbVo();
        }
        if (litameInfo == null) {
            litameInfo = new GitameInfoBo();
        }
        litameInfo.reset();

        if(gcdgrp == null){
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if (gitp == null) {
            gitp = new Gitp();
        }
        gitp.reset();
    }
}
